Kyoto Tycoon

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces
kttimeddb.h File Reference

timed database More...

`#include <ktcommon.h>`
`#include <ktutil.h>`
`#include <ktulog.h>`
`#include <ktshlib.h>`

## Classes
class | kyototycoon::TimedDB
| Timed database. More...
class | kyototycoon::TimedDB::Cursor
| Cursor to indicate a record. More...
class | kyototycoon::TimedDB::Visitor
| Interface to access a record. More...
class | kyototycoon::TimedDB::UpdateTrigger
| Interface to trigger update operations. More...
class | kyototycoon::TimedDB::TimedVisitor
| Visitor to handle records with time stamps.
class | kyototycoon::TimedDB::TimedMetaTrigger
| Trigger of meta database operations.
struct | kyototycoon::TimedDB::MergeLine
| Front line of a merging list.
## Namespaces
namespace | kyototycoon
| All symbols of Kyoto Tycoon.

## Detailed Description

timed database